export interface SwitchProps extends Omit<JSX.HTMLAttributes<HTMLInputElement>, 'type'> {
    onCheckedChange?: (checked: boolean) => void;
}
declare const Switch: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<SwitchProps> & {
    ref?: import("preact").Ref<HTMLInputElement> | undefined;
}>;
export { Switch };
